DH_SYSTEMD_START(1)

NOM
dh_systemd_start - Démarrer/arrêter/redémarrer des fichiers unit de systemd

SYNOPSIS
dh_systemd_start [options_de_debhelper] [--restart-after-upgrade] [--no-stop-on-upgrade] [fichier_unit ...]

DESCRIPTION
dh_systemd_start est un programme de la suite debhelper chargé de démarrer, arrêter ou redémarrer les fichiers unit de systemd dans le cas où aucun script d'init SysV n'est disponible.

Comme avec dh_installinit, le fichier unit est arrêté avant les mises à jour et redémarré ensuite (sauf si --restart-after-upgrade est spécifié, dans ce cas il sera uniquement redémarré après la mise à jour). Cette logique n'est pas utilisée lorsqu'il y a un script init SysV correspondant parce que c'est invoke-rc.d qui effectue l'arrêt, le démarrage ou le redémarrage.

OPTIONS

--restart-after-upgrade
    N'arrête pas le fichier unit tant que la mise à niveau du paquet n'est pas terminée. C'est le comportement par défaut dans le niveau de compatibilité 10.

    Dans les niveaux de compatibilité antérieurs, le comportement par défaut était d'arrêter le fichier unit dans le prerm et de le redémarrer dans le postinst.

    Cela peut être utile pour les démons qui ne peuvent pas être arrêtés trop longtemps lors de la mise à jour. Mais, avant d'utiliser cette option, il faut s'assurer que ces démons ne seront pas perturbés par la mise à jour du paquet pendant leur fonctionnement.

--no-restart-after-upgrade
    Annule un précédent --restart-after-upgrade (ou le défaut du niveau de compatibilité 10). Si aucune autre option n'est donnée, cela provoque l'arrêt du service dans le script prerm et son redémarrage dans le script postinst.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    N'arrête pas le service lors d'une mise à niveau.

--no-start
    Ne démarre pas le fichier unit après les mises à niveau ni après l'installation initiale (le dernier cas n'est valable que pour les services n'ayant pas de script init correspondant).

REMARQUES
Nota : Ce programme n'est pas idempotent. Un dh_prep(1) doit être réalisé entre chaque exécution de ce programme (avec les mêmes arguments). Sinon, il risque d'y avoir plusieurs occurrences des mêmes lignes de code dans les scripts de maintenance du paquet.

Nota : dh_systemd_start devrait être exécuté après dh_installinit pour pouvoir détecter les scripts init SysV correspondants. La séquence par défaut de dh les exécute dans le bon ordre et cette remarque n'est valable que lorsque dh_systemd_start est appelé manuellement.

VOIR AUSSI
debhelper(7)

AUTEURS
pkg-systemd-maintainers@lists.alioth.debian.org

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».